Skip to navigation

Put

View as Markdown

Update a document reminder

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

idstringRequiredformat: "uuid"
id of the document reminder
accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Request

a partial document reminder object that contains the new values for properties
NamestringOptional
Name of the document reminder. Filterable and sortable
ReminderDatedatetimeOptional

Date and time (UTC) that the document reminder is to be executed

RecipientAdHocEmailslist of stringsOptional
Ad hoc email addresses that will receive the document reminder
EmailSubjectstringOptional
Subject of the email that gets sent to the document reminder recipients
EmailBodystringOptional
Body of the email that gets sent to the document reminder recipients
EmailFromAddressstringOptional
From email address of the email that gets sent to the document reminder recipients
CreatedDatedatetimeOptional
Created date of the document reminder. Sortable
CreatedBystringOptional
Username of the user that created the document reminder. Sortable
UpdatedDatedatetimeOptional
Last updated date for the document reminder. Sortable
UpdatedBystringOptional
Username of the user that last updated the document reminder. Sortable
HrefstringOptional
Uri where the object can be retrieved.
RecipientContactsobjectOptional
Contacts that will receive the document reminder
RecipientUsersobjectOptional
Users that will receive the document reminder
RecipientGroupsobjectOptional
Groups that will receive the document reminder
DocumentobjectOptional
The document to which the reminder applies

Response

OK
NamestringOptional
Name of the document reminder. Filterable and sortable
ReminderDatedatetimeOptional

Date and time (UTC) that the document reminder is to be executed

RecipientAdHocEmailslist of stringsOptional
Ad hoc email addresses that will receive the document reminder
EmailSubjectstringOptional
Subject of the email that gets sent to the document reminder recipients
EmailBodystringOptional
Body of the email that gets sent to the document reminder recipients
EmailFromAddressstringOptional
From email address of the email that gets sent to the document reminder recipients
CreatedDatedatetimeOptional
Created date of the document reminder. Sortable
CreatedBystringOptional
Username of the user that created the document reminder. Sortable
UpdatedDatedatetimeOptional
Last updated date for the document reminder. Sortable
UpdatedBystringOptional
Username of the user that last updated the document reminder. Sortable
HrefstringOptional
Uri where the object can be retrieved.
RecipientContactsobjectOptional
Contacts that will receive the document reminder
RecipientUsersobjectOptional
Users that will receive the document reminder
RecipientGroupsobjectOptional
Groups that will receive the document reminder
DocumentobjectOptional
The document to which the reminder applies